Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.config
Class CIBResourceConfigurationImpl

    java.lang.Object
      com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
          com.sun.mfwk.cib.sdk.config.CIBResourceConfigurationImpl

All Implemented Interfaces:
  CIBConfiguration, CIBProvider, CIBResourceConfiguration

public class CIBResourceConfigurationImpl
extends CIBConfigurationImpl
implements CIBResourceConfiguration

Provides a default implementation of a Resource configuration provider. This implementation is fully based on the Java-ES MF Instrumentation SDK.

Field Summary
`static java.lang.String` | `configType`

Fields inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`myConnection, myType`

Constructor Summary
`CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection, java.util.Map map)` Contructor
`CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection, javax.management.ObjectName name)` Contructor
`CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection, java.lang.String name)` Contructor

Methods inherited from class com.sun.mfwk.cib.sdk.config.CIBConfigurationImpl
`destroy, getAttribute, getType, init, start, stop`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.config.CIBConfiguration
`getType`

Methods inherited from interface com.sun.mfwk.cib.providers.CIBProvider
`destroy, init`

Field Detail

### configType

    public static java.lang.String configType

Constructor Detail

### CIBResourceConfigurationImpl

    public CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                        java.util.Map map)

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `map` - Map

### CIBResourceConfigurationImpl

    public CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                        java.lang.String name)
                                 throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection

### CIBResourceConfigurationImpl

    public CIBResourceConfigurationImpl(javax.management.MBeanServerConnection connection,
                                        javax.management.ObjectName name)
                                 throws javax.management.MalformedObjectNameException

  Contructor

Parameters:
  `connection` - MBeanServerConnection
  `name` - ObjectName
Throws:
  `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD